Skip to main content
GET
/
v1
/
subscriptions
List all subscriptions
curl --request GET \
  --url https://api.bondio.co/v1/subscriptions \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "esimIccid": "<string>",
      "planId": "<string>",
      "plan": {
        "name": "<string>",
        "dataMegaBytes": 123,
        "periodDays": 123,
        "periodIterations": 1,
        "throttledSpeedKbps": 0,
        "label": "<string>",
        "coverageProfileId": "<string>"
      },
      "createdAt": 123,
      "activatedAt": 123,
      "expireAt": 123,
      "purchasedAllowance": {
        "dataBytes": 1,
        "voiceSeconds": 123,
        "smsMessages": 123
      },
      "remainingAllownace": {
        "dataBytes": 1,
        "voiceSeconds": 123,
        "smsMessages": 123
      },
      "metadata": {}
    }
  ],
  "nextPage": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

state
enum<string>

The state of the subscription

Available options:
active,
expired,
ready
page
string

A cursor for pagination across multiple pages of results. Don’t include this parameter on the first call.

pageSize
integer
default:10

Number of items to be returned in a single page

Required range: 1 <= x <= 25

Response

200 - application/json
items
Subscription · object[]
nextPage
string | null